-- Main.lua
-- Originally written by Rod, extended by Habna


import "Turbine.Gameplay";
import "HabnaPlugins.HugeBag";

Version = "1.2.23"; --> ** HugeBag current version **

local Modesettings = {};
Modesettings = Turbine.PluginData.Load( Turbine.DataScope.Character, "HugeBagMode" );

-- **v no setting found, so save it v**
if Modesettings == nil then
	Modesettings = {};
	Modesettings.Widget = true;
	Turbine.PluginData.Save( Turbine.DataScope.Character, "HugeBagMode", Modesettings );
end
-- **^
-- **v Load Settings v**
Widget = Modesettings.Widget;
-- **^

if ( Widget ) then
	import "HabnaPlugins.HugeBag.MainWidget";
else
	import "HabnaPlugins.HugeBag.MainWindow";
end

frmMain = frmMain();

HugeBagCommand = Turbine.ShellCommand();

function HugeBagCommand:Execute( command, arguments )
	if ( Widget ) then
		if ( arguments == "show" ) then
			ShowHugeBag()
		elseif ( arguments == "hide" ) then
			HideHugeBag()
		--[[
		elseif ( arguments == "unload" ) then
			--UnloadHugeBag()
		elseif ( arguments == "reload" ) then
			--ReloadHugeBag()
		]]
		elseif ( arguments == "resetall" ) then
			ResetSettings()
		elseif ( arguments == "togglewesc" ) then
			ToggleWEsc()
		elseif ( arguments == "toggleshow" ) then
			ToggleShow()
		elseif ( arguments == "togglewidget" ) then
			ToggleWidgetMode()
		elseif ( arguments == "sort" ) then
			Sort()
		elseif ( arguments == "merge" ) then
			Merge()
		elseif ( arguments == "about" ) then
			ShowAbout()
		elseif ( arguments == "help" or arguments == "?") then
			HelpInfo()
		else
			write( "HugeBag: Command not supported" );
		end
	else
		if ( arguments == "show" ) then
			ShowHugeBag()
		elseif ( arguments == "hide" ) then
			HideHugeBag()
		--[[
		elseif ( arguments == "unload" ) then
			UnloadHugeBag()
		elseif ( arguments == "reload" ) then
			ReloadHugeBag()
		]]
		elseif ( arguments == "resetls" ) then
			ResetLSSettings()
		elseif ( arguments == "resetall" ) then
			ResetSettings()
		elseif ( arguments == "togglewesc" ) then
			ToggleWEsc()
		elseif ( arguments == "toggleshow" ) then
			ToggleShow()
		elseif ( arguments == "togglewidget" ) then
			ToggleWidgetMode()
		elseif ( arguments == "toggleslots" ) then
			ToggleSlotsInfo()
		elseif ( arguments == "toggleused" ) then
			ToggleFreeUsed()
		elseif ( arguments == "curopt" ) then
			ShowCurrentSettings()
		elseif ( arguments == "locksize" ) then
			LockHugeBagSize()
		elseif ( arguments == "lockpos" or arguments == "lockposition") then
			LockHugeBagPosition()
		elseif ( arguments == "sort" ) then
			Sort()
		elseif ( arguments == "merge" ) then
			Merge()
		elseif ( arguments == "about" ) then
			ShowAbout()
		elseif ( arguments == "help" or arguments == "?") then
			HelpInfo()
		else
			write( "HugeBag: Command not supported" );
		end
	end
end

Turbine.Shell.AddCommand( "HugeBag", HugeBagCommand );

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );

Turbine.Plugin.Unload = function( self, sender, args )
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, true );
end